Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class SlotFurnace

    java.lang.Object
      net.minecraft.src.Slot
          net.minecraft.src.SlotFurnace

    public class SlotFurnace

extends Slot

Field Summary

Fields inherited from class net.minecraft.src.Slot
`inventory, slotNumber, xDisplayPosition, yDisplayPosition`

Constructor Summary
`SlotFurnace(EntityPlayer par1EntityPlayer, IInventory par2IInventory, int par3, int par4, int par5)`

Method Summary
`ItemStack` | `decrStackSize(int par1)` Decrease the size of the stack in slot (first int arg) by the amount of the second int arg.
`void` | `func_82870_a(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)`
`boolean` | `isItemValid(ItemStack par1ItemStack)` Check if the stack is a valid item for this slot.

Methods inherited from class net.minecraft.src.Slot
`func_82869_a, getBackgroundIconIndex, getHasStack, getSlotStackLimit, getStack, isSlotInInventory, onSlotChange, onSlotChanged, putStack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlotFurnace

    public SlotFurnace(EntityPlayer par1EntityPlayer,
                       IInventory par2IInventory,
                       int par3,
                       int par4,
                       int par5)

Method Detail

### isItemValid

    public boolean isItemValid(ItemStack par1ItemStack)

  Check if the stack is a valid item for this slot. Always true beside for the armor slots.

  Overrides:
    `isItemValid` in class `Slot`

### decrStackSize

    public ItemStack decrStackSize(int par1)

  Decrease the size of the stack in slot (first int arg) by the amount of the second int arg. Returns the new stack.

  Overrides:
    `decrStackSize` in class `Slot`

### func_82870_a

    public void func_82870_a(EntityPlayer par1EntityPlayer,
                             ItemStack par2ItemStack)

  Overrides:
    `func_82870_a` in class `Slot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD